<?php
/**
 * Based on the 	Index  script by Claude Minette (http://www.fpdf.org/).
 * Translated to File_PDF class by Javier Mestre
 */

require('..\bookmark\bookmark.php');

class PDF_Index extends PDF_Bookmark
{
function CreateIndex(){
	//Index title
	$this->setFontSize(20);
	$this->cell(0,5,'Index',0,1,'C');
	$this->setFontSize(15);
	$this->newLine(10);

	$size=sizeof($this->outlines);
	$PageCellSize=$this->getStringWidth('p. '.$this->outlines[$size-1]['p'])+2;
	for ($i=0;$i<$size;$i++){
		//Offset
		$level=$this->outlines[$i]['l'];
		if($level>0)
			$this->cell($level*8);

		//Caption
		$str=$this->outlines[$i]['t'];
		$strsize=$this->getStringWidth($str);
		$avail_size=$this->w-$this->_left_margin-$this->_right_margin-$PageCellSize-($level*8)-4;
		while ($strsize>=$avail_size){
			$str=substr($str,0,-1);
			$strsize=$this->getStringWidth($str);
		}
		$this->cell($strsize+2,$this->_font_size+2,$str);

		//Filling dots
		$w=$this->_word_spacing-$this->_left_margin-$this->_right_margin-$PageCellSize-($level*8)-($strsize+2);
		$nb=$w/$this->getStringWidth('.');
		$dots=str_repeat('.',$nb);
		$this->cell($w,$this->_font_size+2,$dots,0,0,'R');

		//Page number
		$this->Cell($PageCellSize,$this->_font_size+2,'p. '.$this->outlines[$i]['p'],0,1,'R');
	}
}
}
?>
